package org.omg.appinst;

public interface Infrastructure {

	void initializeInstrumentation(String hostId) throws ReturnCodeException;
	
	void initializeInstrumentation() throws ReturnCodeException;

	ReturnCode finalizeInstrumentation();

	InstrumentationService createService(String name)
			throws ReturnCodeException;

	InstrumentationService createService(String name,
			InstrumentationServiceProperties properties)
			throws ReturnCodeException;

	ReturnCode deleteService() throws ReturnCodeException;

	InstrumentationService[] getInstrumentationServices();

	InstrumentationService[] getInstrumentationServices(
			InstrumentationService[] resultArray) throws ReturnCodeException;

	InstrumentationService lookupInstrumentationService(String name)
			throws ReturnCodeException;
	
	DefaultConfigurationTable get_default_configuration_table();
}
