package org.omg.appinst;

public interface InstrumentationService {

	String getName();

	ObservableSchema createObservableSchema(String name,
			ObservableSchemaProperties properties) throws ReturnCodeException;

	ObservableSchema createObservableSchema(String name)
			throws ReturnCodeException;

	void deleteObservableSchema(ObservableSchema schema) throws ReturnCodeException;

	ObservableSchema[] getObservableSchemas();

	ObservableSchema[] getObservableSchema(ObservableSchema[] resultArray)
			throws ReturnCodeException;

	ObservableSchema lookupObservableSchema(String name)
			throws ReturnCodeException;

	ObservableScope createObservableScope(String name, ObservableScope session)
			throws ReturnCodeException;

	ObservableScope createObservableScope(String name)
			throws ReturnCodeException;

	void deleteObservableScope(ObservableScope session)
			throws ReturnCodeException;

	ObservableScope[] getObservableScopes();

	ObservableScope[] getObservableScopes(ObservableScope[] resultArray)
			throws ReturnCodeException;

	ObservableScope lookupObservableScope(String name)
			throws ReturnCodeException;

	DataProcessor createDataProcessor(String name,
			DataProcessorProperties properties) throws ReturnCodeException;
	
	DataProcessor createDataProcessor(String name) throws ReturnCodeException;

	void deleteDataProcessor(DataProcessor processor)
			throws ReturnCodeException;

	DataProcessor[] getDataProcessors();

	DataProcessor[] getDataProcessors(DataProcessor[] resultArray)
			throws ReturnCodeException;

	DataProcessor lookupDataProcessor(String name) throws ReturnCodeException;

}
